# Agenda de entrega

Este servicio permite a Fenicio consultar las franjas de entrega disponibles para una orden determinada.

<table data-full-width="false"><thead><tr><th width="109">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>GET</code></td><td><code>https://{ApiURL}/franjasentrega</code></td></tr></tbody></table>

## Request

El *request* de Fenicio será una variante del objeto [**Orden**](/developers/referencia/modelos-de-datos/integraciones.md#orden), limitado a los datos con los que se cuenta al momento de realizar la consulta.

**Nota:** Cada línea dentro de la orden incluye además una lista de los atributos del producto.

### Ejemplo

```json
{

  "_idSolicitud": "220421094259-FNSHOP-b533a5a7a4ad335f3c0f6c67d177ac58",
  "comprador": {
    "id": 346703,
    "codigo": null,
    "email": "juan.perez@ejemplo.com",
    "nombre": "Juan",
    "apellido": "Pérez",
    "telefono": "+59899999999",
    "genero": "M",
    "documento": {
      "numero": "12345678",
      "pais": "TO",
      "tipo": "DOCUMENTO_IDENTIDAD"
    },
    "extras": null
  },
  "tipoEntrega": "ENVIO",
  "direccionEnvio": {
    "latitud": -34.9049965,
    "longitud": -56.1605535,
    "pais": "Uruguay",
    "estado": "Montevideo",
    "localidad": "Montevideo",
    "calle": "Obligado",
    "numeroPuerta": "12345",
    "numeroApto": null,
    "codigoPostal": null,
    "observaciones": null
  },
  "servicioEntrega": {
    "id": 21,
    "codigo": "MIRT",
    "nombre": "Mirtrans"
  },
  "local": null,
  "moneda": "UYU",
  "lineas": [
    {
      "nombre": "Producto de prueba",
      "sku": "12345::U",
      "cantidad": 1,
      "cantidadRegalo": 0,
      "codigoPrecio": "1",
      "precio": 900,
      "descuentos": null,
      "atributos": {
        "_categoria": "otros",
        "_codigoPresentacion": "U",
        "_codigoProducto": "12345",
        "_codigoVariante": "12345",
        "_grupos": [
          "ID:256",
          "ID:445",
          "ID:464",
          "ID:491",
          "ID:501",
          "ID:520"
        ],
        "_marca": "Mimarca",
        "_nuevo": true,
        "_outlet": false,
        "_rebajado": true,
        "_sale": false
      }
    },
    {
      "nombre": "Superenvíos",
      "sku": "SENV",
      "cantidad": 1,
      "cantidadRegalo": 0,
      "codigoPrecio": "",
      "precio": 500,
      "descuentos": null,
      "atributos": null
    }
  ],
  "impuestos": 252.46,
  "importeTotal": 1400
}
```

## Response

<table data-full-width="false"><thead><tr><th width="142.33333333333331">Clave</th><th width="192">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>horarios</code></strong></td><td>List&#x3C;<a href="/pages/KDtLV7QEXilKBMRN9Piy#franjaentrega"><strong>FranjaEntrega</strong></a>></td><td>Lista de franjas de entrega disponibles para la orden.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo-1" id="ejemplo-1"></a>

```json
{
  "status": "OK",
  "mensaje": null,
  "data": {
    "horarios": [
      {
        "desde": "2019-12-27T10:00:00-0300",
        "hasta": "2019-12-27T12:00:00-0300"
      },
      {
        "desde": "2019-12-27T12:00:00-0300",
        "hasta": "2019-12-27T18:00:00-0300"
      },
      {
        "desde": "2019-12-28T10:00:00-0300",
        "hasta": "2019-12-28T12:00:00-0300"
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://guia.fenicio.help/developers/integracion-de-comercios/servicios/agenda-de-entrega.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
